restinio::router::impl::allocated_matcher_proxy_t< Matcher > Class Template Reference

A proxy for actual method_matcher that will be allocated in dynamic memory. More...

`#include <method_matcher.hpp>`

Inheritance diagram for restinio::router::impl::allocated_matcher_proxy_t< Matcher >:

## Public Member Functions

template<typename... Args>
| allocated_matcher_proxy_t (Args &&...args)
RESTINIO_NODISCARD bool | match (const http_method_id_t &method) const noexcept override
| Is the specified method can be applied to a route? More...
Public Member Functions inherited from restinio::router::method_matcher_t
| method_matcher_t (const method_matcher_t &)=default
method_matcher_t & | operator= (const method_matcher_t &)=default
| method_matcher_t (method_matcher_t &&)=default
method_matcher_t & | operator= (method_matcher_t &&)=default
| method_matcher_t ()=default
virtual | ~method_matcher_t ()=default
virtual RESTINIO_NODISCARD bool | match (const http_method_id_t &method) const noexcept=0
| Is the specified method can be applied to a route? More...

## Private Attributes

std::unique_ptr< Matcher > | m_matcher

## Detailed Description

template<typename Matcher>
class restinio::router::impl::allocated_matcher_proxy_t< Matcher >

A proxy for actual method_matcher that will be allocated in dynamic memory.

An instance of Matcher class will be allocated automatically in the constructor of allocated_matcher_proxy_t.

Note
  This is a moveable class.

Since
  v.0.6.6

Definition at line 80 of file method_matcher.hpp.

## Constructor & Destructor Documentation

## allocated_matcher_proxy_t()

template<typename Matcher >
template<typename... Args>

restinio::router::impl::allocated_matcher_proxy_t< Matcher >::allocated_matcher_proxy_t | ( | Args &&... | args | ) |

inline

Definition at line 86 of file method_matcher.hpp.

## Member Function Documentation

## match()

template<typename Matcher >

RESTINIO_NODISCARD bool restinio::router::impl::allocated_matcher_proxy_t< Matcher >::match | ( | const http_method_id_t & | method | ) | const

inlineoverridevirtualnoexcept

Is the specified method can be applied to a route?

Return values

  true | if method can be applied to a route.
  false | if method can't be applied to a route.

Implements restinio::router::method_matcher_t.

Definition at line 92 of file method_matcher.hpp.

## Member Data Documentation

## m_matcher

template<typename Matcher >

std::unique_ptr< Matcher > restinio::router::impl::allocated_matcher_proxy_t< Matcher >::m_matcher

private

Definition at line 82 of file method_matcher.hpp.

The documentation for this class was generated from the following file:

- restinio/router/method_matcher.hpp